Public Class Form1

    Dim WithEvents RC As New iRobots.RoCar01

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim x As Integer
        Randomize()
        x = Int(Rnd() * 10)
        Call LED()
        'MsgBox(x)
        RC.SSDisplayOut(2, x)
    End Sub

    Sub LED()
        For i = 1 To 2
            RC.LEDsOut(1, 255)
            RC.WaitN(600)
            RC.LEDsOut(1, 0)
            RC.WaitN(600)
        Next
    End Sub
End Class
